Bug 64047 - Libressl #ifdef needed on OpenBSD
Summary: Libressl #ifdef needed on OpenBSD
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_ssl (show other bugs)
Version: 2.5-HEAD
Hardware: PC OpenBSD
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2020-01-03 09:43 UTC by Giovanni Bechis
Modified: 2020-02-21 19:04 UTC (History)
0 users



Attachments
OpenBSD libressl compat (1.37 KB, patch)
2020-01-03 09:43 UTC, Giovanni Bechis
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Bechis 2020-01-03 09:43:35 UTC
Created attachment 36945 [details]
OpenBSD libressl compat

In order to build httpd on OpenBSD with LibreSSL a couple of ifdefs are needed,
diff from OpenBSD ports tree attached.
Comment 1 Giovanni Bechis 2020-02-17 07:53:41 UTC
Fixed in trunk in r1874101.